<?xml version="1.0" standalone="yes" ?>
<?xml-stylesheet href="x2script.xsl" type="text/xsl" ?>
<script>
<name>plugin.Xai.AutoM.Transfer</name>
<version>4</version>
<engineversion>25</engineversion>
<description>Transfer ores to target</description>
<arguments>
<argument index="1" name="Transfer.toTarget" type="Var/Station/Carrier to dock at" desc="Target to transfer to" />
<argument index="2" name="mining.ship" type="Var/Ship" desc="Mining Ship" />
</arguments>
<sourcetext>
<line linenr="001" indent=""><comment><text>*&#160;</text><var>Created&#160;by&#160;Xai&#160;Corporation,&#160;764</var></comment></line>
<line linenr="002" indent=""><comment><text>*&#160;</text><var>Part&#160;of&#160;Automining&#160;v2</var></comment></line>
<line linenr="003" indent=""><comment><text>*&#160;</text><var></var></comment></line>
<line linenr="004" indent=""><comment><text>*&#160;</text><var>rewrite&#160;in&#160;progress</var></comment></line>
<line linenr="005" indent=""></line>
<line linenr="006" indent=""><text>infinite&#160;loop&#160;detection&#160;enabled=</text><var>[TRUE]</var></line>
<line linenr="007" indent=""><text>set&#160;script&#160;priority&#160;to&#160;</text><var>101</var></line>
<line linenr="008" indent=""></line>
<line linenr="009" indent=""><var>$ores&#160;=&#160;</var><text>&#160;array&#160;alloc:&#160;size=</text><var>0</var></line>
<line linenr="010" indent=""><text>append&#160;</text><var>Ore</var><text>&#160;to&#160;array&#160;</text><var>$ores</var></line>
<line linenr="011" indent=""><text>append&#160;</text><var>Silicon&#160;Wafers</var><text>&#160;to&#160;array&#160;</text><var>$ores</var></line>
<line linenr="012" indent=""><text>append&#160;</text><var>Nividium</var><text>&#160;to&#160;array&#160;</text><var>$ores</var></line>
<line linenr="013" indent=""></line>
<line linenr="014" indent=""><comment><text>*&#160;</text><var>Set&#160;correct&#160;target&#160;to&#160;transfer</var></comment></line>
<line linenr="015" indent=""><var>if&#160;</var><var>$Transfer.toTarget</var><text>&#160;</text><var>==</var><text>&#160;</text><var>[THIS]</var></line>
<line linenr="016" indent="&#160;"><text>return&#160;</text><var>null</var></line>
<line linenr="017" indent="&#160;"></line>
<line linenr="018" indent=""><var>else&#160;if&#160;</var><var>$Transfer.toTarget</var></line>
<line linenr="019" indent="&#160;"><var>[THIS]&#160;-&gt;</var><text>&#160;set&#160;destination&#160;to&#160;</text><var>$Transfer.toTarget</var></line>
<line linenr="020" indent="&#160;"><var>$Transfer.toTarget.race&#160;=&#160;</var><var>$Transfer.toTarget&#160;-&gt;</var><text>&#160;get&#160;owner&#160;race</text></line>
<line linenr="021" indent="&#160;"><var>$Transfer.toTarget.sector&#160;=&#160;</var><var>$Transfer.toTarget&#160;-&gt;</var><text>&#160;get&#160;sector</text></line>
<line linenr="022" indent="&#160;"><var>$mining.sector&#160;=&#160;</var><var>$mining.ship&#160;-&gt;</var><text>&#160;get&#160;sector</text></line>
<line linenr="023" indent="&#160;"><var>skip&#160;if&#160;</var><var>$mining.sector</var></line>
<line linenr="024" indent="&#160;&#160;"><var>$mining.sector&#160;=&#160;</var><var>[SECTOR]</var></line>
<line linenr="025" indent="&#160;"><var>$Transfer.toTarget.jumps&#160;=&#160;</var><text>get&#160;jumps&#160;from&#160;sector&#160;</text><var>$mining.sector</var><text>&#160;to&#160;sector&#160;</text><var>$Transfer.toTarget.sector</var></line>
<line linenr="026" indent="&#160;"><var>skip&#160;if&#160;</var><var>$Transfer.toTarget.jumps</var></line>
<line linenr="027" indent="&#160;&#160;"><var>$Transfer.toTarget.jumps&#160;=&#160;</var><var>0</var></line>
<line linenr="028" indent=""><text>end</text></line>
<line linenr="029" indent=""></line>
<line linenr="030" indent=""><comment><text>*&#160;</text><var>Transfer&#160;to&#160;target&#160;destination</var></comment></line>
<line linenr="031" indent=""><var>$ores.num&#160;=&#160;</var><text>&#160;size&#160;of&#160;array&#160;</text><var>$ores</var></line>
<line linenr="032" indent=""><var>while&#160;</var><var>$ores.num</var></line>
<line linenr="033" indent="&#160;"><text>dec&#160;</text><var>$ores.num&#160;=&#160;</var></line>
<line linenr="034" indent="&#160;"><var>$ore&#160;=&#160;</var><var>$ores</var><text>[</text><var>$ores.num</var><text>]</text></line>
<line linenr="035" indent="&#160;"><var>$amount.collected&#160;=&#160;</var><var>[THIS]&#160;-&gt;</var><text>&#160;get&#160;amount&#160;of&#160;ware&#160;</text><var>$ore</var><text>&#160;in&#160;cargo&#160;bay</text></line>
<line linenr="036" indent="&#160;"></line>
<line linenr="037" indent="&#160;"><var>if&#160;</var><var>$Transfer.toTarget.race</var><text>&#160;</text><var>==</var><text>&#160;</text><var>Player</var></line>
<line linenr="038" indent="&#160;&#160;"></line>
<line linenr="039" indent=""><comment><text>*&#160;</text><var>&#160;-&#160;Transfer&#160;to&#160;player&#160;station</var></comment></line>
<line linenr="040" indent="&#160;&#160;"><var>if&#160;</var><var>$Transfer.toTarget&#160;-&gt;</var><text>&#160;is&#160;of&#160;class&#160;</text><var>Station</var></line>
<line linenr="041" indent="&#160;&#160;&#160;"></line>
<line linenr="042" indent="&#160;&#160;&#160;"><var>while&#160;not&#160;</var><var>$arrived</var></line>
<line linenr="043" interruptable="@" indent="&#160;&#160;&#160;&#160;"><var>=&#160;</var><text>wait&#160;randomly&#160;from&#160;</text><var>100</var><text>&#160;to&#160;</text><var>150</var><text>&#160;ms</text></line>
<line linenr="044" interruptable="@" indent="&#160;&#160;&#160;&#160;"><var>$arrived&#160;=&#160;</var><var>[THIS]&#160;-&gt;</var><text>&#160;call&#160;script&#160;</text><call>lib.Xai.Nav</call><text>&#160;:&#160;</text><text>&#160;Target=</text><var>$Transfer.toTarget</var><text>&#160;</text><text>&#160;Range=</text><var>null</var><text>&#160;</text><text>&#160;Sector&#160;Position=</text><var>null</var></line>
<line linenr="045" indent="&#160;&#160;&#160;"><text>end</text></line>
<line linenr="046" indent="&#160;&#160;&#160;"></line>
<line linenr="047" indent="&#160;&#160;&#160;"><var>skip&#160;if&#160;not&#160;</var><var>[DOCKEDAT]</var><text>&#160;</text><var>==</var><text>&#160;</text><var>$Transfer.toTarget</var></line>
<line linenr="048" interruptable="@" indent="&#160;&#160;&#160;&#160;"><var>=&#160;</var><var>[THIS]&#160;-&gt;</var><text>&#160;call&#160;script&#160;</text><call>lib.Xai.cargoXfer</call><text>&#160;:&#160;</text><text>&#160;CMD=</text><var>'to.station'</var><text>&#160;</text><text>&#160;Target=</text><var>$Transfer.toTarget</var><text>&#160;</text><text>&#160;Ware=</text><var>$ore</var><text>&#160;</text><text>&#160;Quantity=</text><var>$amount.collected</var></line>
<line linenr="049" indent="&#160;&#160;&#160;"></line>
<line linenr="050" indent=""><comment><text>*&#160;</text><var>&#160;-&#160;Transfer&#160;to&#160;player&#160;big&#160;ship</var></comment></line>
<line linenr="051" indent="&#160;&#160;"><var>else&#160;if&#160;</var><var>$Transfer.toTarget&#160;-&gt;</var><text>&#160;is&#160;of&#160;class&#160;</text><var>Big&#160;Ship</var></line>
<line linenr="052" indent="&#160;&#160;&#160;"><var>if&#160;</var><var>$Transfer.toTarget&#160;-&gt;</var><text>&#160;is&#160;docking&#160;possible&#160;of&#160;</text><var>[THIS]</var></line>
<line linenr="053" indent="&#160;&#160;&#160;&#160;"></line>
<line linenr="054" indent="&#160;&#160;&#160;&#160;"><var>while&#160;not&#160;</var><var>$arrived</var></line>
<line linenr="055" interruptable="@" indent="&#160;&#160;&#160;&#160;&#160;"><var>=&#160;</var><text>wait&#160;randomly&#160;from&#160;</text><var>100</var><text>&#160;to&#160;</text><var>150</var><text>&#160;ms</text></line>
<line linenr="056" interruptable="@" indent="&#160;&#160;&#160;&#160;&#160;"><var>$arrived&#160;=&#160;</var><var>[THIS]&#160;-&gt;</var><text>&#160;call&#160;script&#160;</text><call>lib.Xai.Nav</call><text>&#160;:&#160;</text><text>&#160;Target=</text><var>$Transfer.toTarget</var><text>&#160;</text><text>&#160;Range=</text><var>null</var><text>&#160;</text><text>&#160;Sector&#160;Position=</text><var>null</var></line>
<line linenr="057" indent="&#160;&#160;&#160;&#160;"><text>end</text></line>
<line linenr="058" indent="&#160;&#160;&#160;&#160;"><var>skip&#160;if&#160;not&#160;</var><var>[DOCKEDAT]</var><text>&#160;</text><var>==</var><text>&#160;</text><var>$Transfer.toTarget</var></line>
<line linenr="059" interruptable="@" indent="&#160;&#160;&#160;&#160;&#160;"><var>=&#160;</var><var>[THIS]&#160;-&gt;</var><text>&#160;call&#160;script&#160;</text><call>lib.Xai.cargoXfer</call><text>&#160;:&#160;</text><text>&#160;CMD=</text><var>'to.station'</var><text>&#160;</text><text>&#160;Target=</text><var>$Transfer.toTarget</var><text>&#160;</text><text>&#160;Ware=</text><var>$ore</var><text>&#160;</text><text>&#160;Quantity=</text><var>$amount.collected</var></line>
<line linenr="060" indent="&#160;&#160;&#160;&#160;"></line>
<line linenr="061" indent="&#160;&#160;&#160;"><var>else&#160;if&#160;</var><var>[THIS]&#160;-&gt;</var><text>&#160;get&#160;true&#160;amount&#160;of&#160;ware&#160;</text><var>Transporter&#160;Device</var><text>&#160;in&#160;cargo&#160;bay</text></line>
<line linenr="062" indent="&#160;&#160;&#160;&#160;"><var>while&#160;not&#160;</var><var>$arrived</var></line>
<line linenr="063" interruptable="@" indent="&#160;&#160;&#160;&#160;&#160;"><var>=&#160;</var><text>wait&#160;randomly&#160;from&#160;</text><var>100</var><text>&#160;to&#160;</text><var>150</var><text>&#160;ms</text></line>
<line linenr="064" interruptable="@" indent="&#160;&#160;&#160;&#160;&#160;"><var>$arrived&#160;=&#160;</var><var>[THIS]&#160;-&gt;</var><text>&#160;call&#160;script&#160;</text><call>lib.Xai.Nav.toObject</call><text>&#160;:&#160;</text><text>&#160;Target=</text><var>$Transfer.toTarget</var><text>&#160;</text><text>&#160;Range=</text><var>4500</var></line>
<line linenr="065" indent="&#160;&#160;&#160;&#160;"><text>end</text></line>
<line linenr="066" indent="&#160;&#160;&#160;&#160;"></line>
<line linenr="067" indent="&#160;&#160;&#160;&#160;"><var>$dist&#160;=&#160;</var><text>get&#160;distance&#160;between&#160;</text><var>$Transfer.toTarget</var><text>&#160;and&#160;</text><var>[THIS]</var></line>
<line linenr="068" indent="&#160;&#160;&#160;&#160;"><var>skip&#160;if&#160;not&#160;</var><var>$dist</var><text>&#160;</text><var>&lt;</var><text>&#160;</text><var>5000</var></line>
<line linenr="069" interruptable="@" indent="&#160;&#160;&#160;&#160;&#160;"><var>=&#160;</var><var>[THIS]&#160;-&gt;</var><text>&#160;call&#160;script&#160;</text><call>lib.Xai.cargoXfer</call><text>&#160;:&#160;</text><text>&#160;CMD=</text><var>'to.ship'</var><text>&#160;</text><text>&#160;Target=</text><var>$Transfer.toTarget</var><text>&#160;</text><text>&#160;Ware=</text><var>$ore</var><text>&#160;</text><text>&#160;Quantity=</text><var>$amount.collected</var></line>
<line linenr="070" indent="&#160;&#160;&#160;&#160;"></line>
<line linenr="071" indent="&#160;&#160;&#160;"><text>end</text></line>
<line linenr="072" indent="&#160;&#160;&#160;"></line>
<line linenr="073" indent=""><comment><text>*&#160;</text><var>&#160;-&#160;Transfer&#160;to&#160;player&#160;TS</var></comment></line>
<line linenr="074" indent="&#160;&#160;"><var>else&#160;if&#160;</var><var>$Transfer.toTarget&#160;-&gt;</var><text>&#160;can&#160;transport&#160;ware&#160;</text><var>$ore</var></line>
<line linenr="075" indent="&#160;&#160;&#160;"><var>if&#160;</var><var>[THIS]&#160;-&gt;</var><text>&#160;get&#160;true&#160;amount&#160;of&#160;ware&#160;</text><var>Transporter&#160;Device</var><text>&#160;in&#160;cargo&#160;bay</text></line>
<line linenr="076" indent="&#160;&#160;&#160;&#160;"><var>[THIS]&#160;-&gt;</var><text>&#160;set&#160;destination&#160;to&#160;</text><var>$Transfer.toTarget</var></line>
<line linenr="077" indent="&#160;&#160;&#160;&#160;"></line>
<line linenr="078" indent="&#160;&#160;&#160;&#160;"><var>while&#160;not&#160;</var><var>$arrived</var></line>
<line linenr="079" interruptable="@" indent="&#160;&#160;&#160;&#160;&#160;"><var>=&#160;</var><text>wait&#160;randomly&#160;from&#160;</text><var>100</var><text>&#160;to&#160;</text><var>150</var><text>&#160;ms</text></line>
<line linenr="080" interruptable="@" indent="&#160;&#160;&#160;&#160;&#160;"><var>$arrived&#160;=&#160;</var><var>[THIS]&#160;-&gt;</var><text>&#160;call&#160;script&#160;</text><call>lib.Xai.Nav.toObject</call><text>&#160;:&#160;</text><text>&#160;Target=</text><var>$Transfer.toTarget</var><text>&#160;</text><text>&#160;Range=</text><var>4500</var></line>
<line linenr="081" indent="&#160;&#160;&#160;&#160;"><text>end</text></line>
<line linenr="082" indent="&#160;&#160;&#160;&#160;"></line>
<line linenr="083" indent="&#160;&#160;&#160;&#160;"><var>$dist&#160;=&#160;</var><text>get&#160;distance&#160;between&#160;</text><var>$Transfer.toTarget</var><text>&#160;and&#160;</text><var>[THIS]</var></line>
<line linenr="084" indent="&#160;&#160;&#160;&#160;"><var>skip&#160;if&#160;not&#160;</var><var>$dist</var><text>&#160;</text><var>&lt;</var><text>&#160;</text><var>5000</var></line>
<line linenr="085" interruptable="@" indent="&#160;&#160;&#160;&#160;&#160;"><var>=&#160;</var><var>[THIS]&#160;-&gt;</var><text>&#160;call&#160;script&#160;</text><call>lib.Xai.cargoXfer</call><text>&#160;:&#160;</text><text>&#160;CMD=</text><var>'to.ship'</var><text>&#160;</text><text>&#160;Target=</text><var>$Transfer.toTarget</var><text>&#160;</text><text>&#160;Ware=</text><var>$ore</var><text>&#160;</text><text>&#160;Quantity=</text><var>$amount.collected</var></line>
<line linenr="086" indent="&#160;&#160;&#160;"><text>end</text></line>
<line linenr="087" indent="&#160;&#160;"><text>end</text></line>
<line linenr="088" indent="&#160;&#160;"></line>
<line linenr="089" indent=""><comment><text>*&#160;</text><var>&#160;-&#160;Sell&#160;ore&#160;for&#160;best&#160;price</var></comment></line>
<line linenr="090" indent="&#160;"><var>else&#160;if&#160;</var><var>$Transfer.toTarget&#160;-&gt;</var><text>&#160;is&#160;of&#160;class&#160;</text><var>Station</var></line>
<line linenr="091" indent="&#160;&#160;"></line>
<line linenr="092" interruptable="@" indent="&#160;&#160;"><var>$station&#160;=&#160;</var><var>[THIS]&#160;-&gt;</var><text>&#160;call&#160;script&#160;</text><call>lib.Xai.find</call><text>&#160;:&#160;</text><text>&#160;CMD=</text><var>'best.sell'</var><text>&#160;</text><text>&#160;Arg1=</text><var>$ore</var><text>&#160;</text><text>&#160;Arg2=</text><var>null</var><text>&#160;</text><text>&#160;Arg3=</text><var>$Transfer.toTarget.jumps</var><text>&#160;</text><text>&#160;Arg4=</text><var>null</var></line>
<line linenr="093" indent="&#160;&#160;"><var>if&#160;</var><var>$station</var></line>
<line linenr="094" indent="&#160;&#160;&#160;"><var>[THIS]&#160;-&gt;</var><text>&#160;set&#160;destination&#160;to&#160;</text><var>$station</var></line>
<line linenr="095" indent="&#160;&#160;&#160;"><var>while&#160;not&#160;</var><var>$arrived</var></line>
<line linenr="096" interruptable="@" indent="&#160;&#160;&#160;&#160;"><var>=&#160;</var><text>wait&#160;randomly&#160;from&#160;</text><var>100</var><text>&#160;to&#160;</text><var>150</var><text>&#160;ms</text></line>
<line linenr="097" interruptable="@" indent="&#160;&#160;&#160;&#160;"><var>$arrived&#160;=&#160;</var><var>[THIS]&#160;-&gt;</var><text>&#160;call&#160;script&#160;</text><call>lib.Xai.Nav</call><text>&#160;:&#160;</text><text>&#160;Target=</text><var>$station</var><text>&#160;</text><text>&#160;Range=</text><var>null</var><text>&#160;</text><text>&#160;Sector&#160;Position=</text><var>null</var></line>
<line linenr="098" indent="&#160;&#160;&#160;"><text>end</text></line>
<line linenr="099" indent="&#160;&#160;&#160;"></line>
<line linenr="100" indent="&#160;&#160;&#160;"><var>skip&#160;if&#160;not&#160;</var><var>[DOCKEDAT]</var><text>&#160;</text><var>==</var><text>&#160;</text><var>$station</var></line>
<line linenr="101" interruptable="@" indent="&#160;&#160;&#160;&#160;"><var>=&#160;</var><var>[THIS]&#160;-&gt;</var><text>&#160;call&#160;script&#160;</text><call>lib.Xai.trade</call><text>&#160;:&#160;</text><text>&#160;Command=</text><var>'sell'</var><text>&#160;</text><text>&#160;Ware=</text><var>$ore</var><text>&#160;</text><text>&#160;Quantity=</text><var>$amount.collected</var></line>
<line linenr="102" indent="&#160;&#160;"><text>end</text></line>
<line linenr="103" indent="&#160;"><text>end</text></line>
<line linenr="104" indent="&#160;"></line>
<line linenr="105" indent=""><text>end</text></line>
<line linenr="106" indent=""></line>
<line linenr="107" indent=""><var>[THIS]&#160;-&gt;</var><text>&#160;set&#160;destination&#160;to&#160;</text><var>$mining.ship</var></line>
<line linenr="108" indent=""><text>return&#160;</text><var>null</var></line>
</sourcetext>
<codearray>
<sval type="array" size="10"><sval type="string" val="plugin.Xai.AutoM.Transfer" /><sval type="int" val="25" /><sval type="string" val="Transfer ores to target" /><sval type="int" val="4" /><sval type="int" val="0" /><sval type="array" size="13"><sval type="string" val="Transfer.toTarget" /><sval type="string" val="mining.ship" /><sval type="string" val="ores" /><sval type="string" val="Transfer.toTarget.race" /><sval type="string" val="Transfer.toTarget.sector" /><sval type="string" val="mining.sector" /><sval type="string" val="Transfer.toTarget.jumps" /><sval type="string" val="ores.num" /><sval type="string" val="ore" /><sval type="string" val="amount.collected" /><sval type="string" val="arrived" /><sval type="string" val="dist" /><sval type="string" val="station" /></sval><sval type="array" size="75"><sval type="array" size="3"><sval type="int" val="153" /><sval type="int" val="131075" /><sval type="int" val="10" /></sval><sval type="array" size="3"><sval type="int" val="109" /><sval type="int" val="4" /><sval type="int" val="101" /></sval><sval type="array" size="4"><sval type="int" val="128" /><sval type="int" val="2" /><sval type="int" val="4" /><sval type="int" val="0" /></sval><sval type="array" size="5"><sval type="int" val="135" /><sval type="int" val="131074" /><sval type="int" val="2" /><sval type="int" val="9" /><sval type="int" val="983040" /></sval><sval type="array" size="5"><sval type="int" val="135" /><sval type="int" val="131074" /><sval type="int" val="2" /><sval type="int" val="9" /><sval type="int" val="983041" /></sval><sval type="array" size="5"><sval type="int" val="135" /><sval type="int" val="131074" /><sval type="int" val="2" /><sval type="int" val="9" /><sval type="int" val="983042" /></sval><sval type="array" size="13"><sval type="int" val="104" /><sval type="int" val="-1610610429" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="0" /><sval type="int" val="131075" /><sval type="int" val="65536" /><sval type="int" val="15" /><sval type="int" val="0" /><sval type="int" val="3" /><sval type="int" val="-1" /><sval type="int" val="0" /><sval type="int" val="-2" /></sval><sval type="array" size="3"><sval type="int" val="103" /><sval type="int" val="0" /><sval type="int" val="0" /></sval><sval type="array" size="2"><sval type="int" val="112" /><sval type="int" val="19" /></sval><sval type="array" size="7"><sval type="int" val="104" /><sval type="int" val="-1610607867" /><sval type="int" val="1" /><sval type="int" val="131074" /><sval type="int" val="0" /><sval type="int" val="1" /><sval type="int" val="-1" /></sval><sval type="array" size="5"><sval type="int" val="519" /><sval type="int" val="131075" /><sval type="int" val="65536" /><sval type="int" val="131074" /><sval type="int" val="0" /></sval><sval type="array" size="4"><sval type="int" val="701" /><sval type="int" val="131074" /><sval type="int" val="0" /><sval type="int" val="3" /></sval><sval type="array" size="4"><sval type="int" val="703" /><sval type="int" val="131074" /><sval type="int" val="0" /><sval type="int" val="4" /></sval><sval type="array" size="4"><sval type="int" val="703" /><sval type="int" val="131074" /><sval type="int" val="1" /><sval type="int" val="5" /></sval><sval type="array" size="7"><sval type="int" val="104" /><sval type="int" val="-536866809" /><sval type="int" val="1" /><sval type="int" val="131074" /><sval type="int" val="5" /><sval type="int" val="1" /><sval type="int" val="-1" /></sval><sval type="array" size="7"><sval type="int" val="104" /><sval type="int" val="5" /><sval type="int" val="1" /><sval type="int" val="131075" /><sval type="int" val="65542" /><sval type="int" val="1" /><sval type="int" val="-1" /></sval><sval type="array" size="6"><sval type="int" val="711" /><sval type="int" val="6" /><sval type="int" val="131074" /><sval type="int" val="5" /><sval type="int" val="131074" /><sval type="int" val="4" /></sval><sval type="array" size="7"><sval type="int" val="104" /><sval type="int" val="-536866041" /><sval type="int" val="1" /><sval type="int" val="131074" /><sval type="int" val="6" /><sval type="int" val="1" /><sval type="int" val="-1" /></sval><sval type="array" size="7"><sval type="int" val="104" /><sval type="int" val="6" /><sval type="int" val="1" /><sval type="int" val="4" /><sval type="int" val="0" /><sval type="int" val="1" /><sval type="int" val="-1" /></sval><sval type="array" size="4"><sval type="int" val="131" /><sval type="int" val="7" /><sval type="int" val="131074" /><sval type="int" val="2" /></sval><sval type="array" size="7"><sval type="int" val="104" /><sval type="int" val="-1610594039" /><sval type="int" val="1" /><sval type="int" val="131074" /><sval type="int" val="7" /><sval type="int" val="1" /><sval type="int" val="-1" /></sval><sval type="array" size="2"><sval type="int" val="143" /><sval type="int" val="7" /></sval><sval type="array" size="6"><sval type="int" val="129" /><sval type="int" val="8" /><sval type="int" val="131074" /><sval type="int" val="2" /><sval type="int" val="131074" /><sval type="int" val="7" /></sval><sval type="array" size="6"><sval type="int" val="618" /><sval type="int" val="131075" /><sval type="int" val="65536" /><sval type="int" val="9" /><sval type="int" val="131074" /><sval type="int" val="8" /></sval><sval type="array" size="13"><sval type="int" val="104" /><sval type="int" val="-1610596861" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="3" /><sval type="int" val="10" /><sval type="int" val="10" /><sval type="int" val="15" /><sval type="int" val="0" /><sval type="int" val="3" /><sval type="int" val="-1" /><sval type="int" val="0" /><sval type="int" val="-2" /></sval><sval type="array" size="6"><sval type="int" val="705" /><sval type="int" val="131074" /><sval type="int" val="0" /><sval type="int" val="-1610604285" /><sval type="int" val="12" /><sval type="int" val="2016" /></sval><sval type="array" size="7"><sval type="int" val="104" /><sval type="int" val="-536863222" /><sval type="int" val="1" /><sval type="int" val="131074" /><sval type="int" val="10" /><sval type="int" val="1" /><sval type="int" val="-1" /></sval><sval type="array" size="6"><sval type="int" val="107" /><sval type="int" val="-2147483647" /><sval type="int" val="4" /><sval type="int" val="100" /><sval type="int" val="4" /><sval type="int" val="150" /></sval><sval type="array" size="12"><sval type="int" val="102" /><sval type="string" val="lib.Xai.Nav" /><sval type="int" val="10" /><sval type="int" val="131075" /><sval type="int" val="65536" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="0" /></sval><sval type="array" size="2"><sval type="int" val="112" /><sval type="int" val="26" /></sval><sval type="array" size="13"><sval type="int" val="104" /><sval type="int" val="-1610604536" /><sval type="int" val="3" /><sval type="int" val="131075" /><sval type="int" val="65547" /><sval type="int" val="131074" /><sval type="int" val="0" /><sval type="int" val="15" /><sval type="int" val="0" /><sval type="int" val="3" /><sval type="int" val="-1" /><sval type="int" val="0" /><sval type="int" val="-2" /></sval><sval type="array" size="14"><sval type="int" val="102" /><sval type="string" val="lib.Xai.cargoXfer" /><sval type="int" val="-2147483647" /><sval type="int" val="131075" /><sval type="int" val="65536" /><sval type="int" val="4" /><sval type="int" val="5" /><sval type="string" val="to.station" /><sval type="int" val="131074" /><sval type="int" val="0" /><sval type="int" val="131074" /><sval type="int" val="8" /><sval type="int" val="131074" /><sval type="int" val="9" /></sval><sval type="array" size="2"><sval type="int" val="112" /><sval type="int" val="61" /></sval><sval type="array" size="6"><sval type="int" val="705" /><sval type="int" val="131074" /><sval type="int" val="0" /><sval type="int" val="-1610599675" /><sval type="int" val="12" /><sval type="int" val="2073" /></sval><sval type="array" size="6"><sval type="int" val="746" /><sval type="int" val="131074" /><sval type="int" val="0" /><sval type="int" val="-1610601981" /><sval type="int" val="131075" /><sval type="int" val="65536" /></sval><sval type="array" size="7"><sval type="int" val="104" /><sval type="int" val="-536860918" /><sval type="int" val="1" /><sval type="int" val="131074" /><sval type="int" val="10" /><sval type="int" val="1" /><sval type="int" val="-1" /></sval><sval type="array" size="6"><sval type="int" val="107" /><sval type="int" val="-2147483647" /><sval type="int" val="4" /><sval type="int" val="100" /><sval type="int" val="4" /><sval type="int" val="150" /></sval><sval type="array" size="12"><sval type="int" val="102" /><sval type="string" val="lib.Xai.Nav" /><sval type="int" val="10" /><sval type="int" val="131075" /><sval type="int" val="65536" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="0" /></sval><sval type="array" size="2"><sval type="int" val="112" /><sval type="int" val="35" /></sval><sval type="array" size="13"><sval type="int" val="104" /><sval type="int" val="-1610602232" /><sval type="int" val="3" /><sval type="int" val="131075" /><sval type="int" val="65547" /><sval type="int" val="131074" /><sval type="int" val="0" /><sval type="int" val="15" /><sval type="int" val="0" /><sval type="int" val="3" /><sval type="int" val="-1" /><sval type="int" val="0" /><sval type="int" val="-2" /></sval><sval type="array" size="14"><sval type="int" val="102" /><sval type="string" val="lib.Xai.cargoXfer" /><sval type="int" val="-2147483647" /><sval type="int" val="131075" /><sval type="int" val="65536" /><sval type="int" val="4" /><sval type="int" val="5" /><sval type="string" val="to.station" /><sval type="int" val="131074" /><sval type="int" val="0" /><sval type="int" val="131074" /><sval type="int" val="8" /><sval type="int" val="131074" /><sval type="int" val="9" /></sval><sval type="array" size="2"><sval type="int" val="112" /><sval type="int" val="50" /></sval><sval type="array" size="6"><sval type="int" val="619" /><sval type="int" val="131075" /><sval type="int" val="65536" /><sval type="int" val="-1610599931" /><sval type="int" val="9" /><sval type="int" val="1048610" /></sval><sval type="array" size="7"><sval type="int" val="104" /><sval type="int" val="-536858870" /><sval type="int" val="1" /><sval type="int" val="131074" /><sval type="int" val="10" /><sval type="int" val="1" /><sval type="int" val="-1" /></sval><sval type="array" size="6"><sval type="int" val="107" /><sval type="int" val="-2147483647" /><sval type="int" val="4" /><sval type="int" val="100" /><sval type="int" val="4" /><sval type="int" val="150" /></sval><sval type="array" size="10"><sval type="int" val="102" /><sval type="string" val="lib.Xai.Nav.toObject" /><sval type="int" val="10" /><sval type="int" val="131075" /><sval type="int" val="65536" /><sval type="int" val="2" /><sval type="int" val="131074" /><sval type="int" val="0" /><sval type="int" val="4" /><sval type="int" val="4500" /></sval><sval type="array" size="2"><sval type="int" val="112" /><sval type="int" val="43" /></sval><sval type="array" size="6"><sval type="int" val="738" /><sval type="int" val="11" /><sval type="int" val="131074" /><sval type="int" val="0" /><sval type="int" val="131075" /><sval type="int" val="65536" /></sval><sval type="array" size="13"><sval type="int" val="104" /><sval type="int" val="-1610599928" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="11" /><sval type="int" val="4" /><sval type="int" val="5000" /><sval type="int" val="15" /><sval type="int" val="3" /><sval type="int" val="3" /><sval type="int" val="-1" /><sval type="int" val="3" /><sval type="int" val="-2" /></sval><sval type="array" size="14"><sval type="int" val="102" /><sval type="string" val="lib.Xai.cargoXfer" /><sval type="int" val="-2147483647" /><sval type="int" val="131075" /><sval type="int" val="65536" /><sval type="int" val="4" /><sval type="int" val="5" /><sval type="string" val="to.ship" /><sval type="int" val="131074" /><sval type="int" val="0" /><sval type="int" val="131074" /><sval type="int" val="8" /><sval type="int" val="131074" /><sval type="int" val="9" /></sval><sval type="array" size="2"><sval type="int" val="112" /><sval type="int" val="61" /></sval><sval type="array" size="6"><sval type="int" val="617" /><sval type="int" val="131074" /><sval type="int" val="0" /><sval type="int" val="-1610597115" /><sval type="int" val="131074" /><sval type="int" val="8" /></sval><sval type="array" size="6"><sval type="int" val="619" /><sval type="int" val="131075" /><sval type="int" val="65536" /><sval type="int" val="-1610597117" /><sval type="int" val="9" /><sval type="int" val="1048610" /></sval><sval type="array" size="5"><sval type="int" val="519" /><sval type="int" val="131075" /><sval type="int" val="65536" /><sval type="int" val="131074" /><sval type="int" val="0" /></sval><sval type="array" size="7"><sval type="int" val="104" /><sval type="int" val="-536856054" /><sval type="int" val="1" /><sval type="int" val="131074" /><sval type="int" val="10" /><sval type="int" val="1" /><sval type="int" val="-1" /></sval><sval type="array" size="6"><sval type="int" val="107" /><sval type="int" val="-2147483647" /><sval type="int" val="4" /><sval type="int" val="100" /><sval type="int" val="4" /><sval type="int" val="150" /></sval><sval type="array" size="10"><sval type="int" val="102" /><sval type="string" val="lib.Xai.Nav.toObject" /><sval type="int" val="10" /><sval type="int" val="131075" /><sval type="int" val="65536" /><sval type="int" val="2" /><sval type="int" val="131074" /><sval type="int" val="0" /><sval type="int" val="4" /><sval type="int" val="4500" /></sval><sval type="array" size="2"><sval type="int" val="112" /><sval type="int" val="54" /></sval><sval type="array" size="6"><sval type="int" val="738" /><sval type="int" val="11" /><sval type="int" val="131074" /><sval type="int" val="0" /><sval type="int" val="131075" /><sval type="int" val="65536" /></sval><sval type="array" size="13"><sval type="int" val="104" /><sval type="int" val="-1610597112" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="11" /><sval type="int" val="4" /><sval type="int" val="5000" /><sval type="int" val="15" /><sval type="int" val="3" /><sval type="int" val="3" /><sval type="int" val="-1" /><sval type="int" val="3" /><sval type="int" val="-2" /></sval><sval type="array" size="14"><sval type="int" val="102" /><sval type="string" val="lib.Xai.cargoXfer" /><sval type="int" val="-2147483647" /><sval type="int" val="131075" /><sval type="int" val="65536" /><sval type="int" val="4" /><sval type="int" val="5" /><sval type="string" val="to.ship" /><sval type="int" val="131074" /><sval type="int" val="0" /><sval type="int" val="131074" /><sval type="int" val="8" /><sval type="int" val="131074" /><sval type="int" val="9" /></sval><sval type="array" size="2"><sval type="int" val="112" /><sval type="int" val="72" /></sval><sval type="array" size="6"><sval type="int" val="705" /><sval type="int" val="131074" /><sval type="int" val="0" /><sval type="int" val="-1610594299" /><sval type="int" val="12" /><sval type="int" val="2016" /></sval><sval type="array" size="16"><sval type="int" val="102" /><sval type="string" val="lib.Xai.find" /><sval type="int" val="12" /><sval type="int" val="131075" /><sval type="int" val="65536" /><sval type="int" val="5" /><sval type="int" val="5" /><sval type="string" val="best.sell" /><sval type="int" val="131074" /><sval type="int" val="8" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="131074" /><sval type="int" val="6" /><sval type="int" val="0" /><sval type="int" val="0" /></sval><sval type="array" size="7"><sval type="int" val="104" /><sval type="int" val="-1610594301" /><sval type="int" val="1" /><sval type="int" val="131074" /><sval type="int" val="12" /><sval type="int" val="1" /><sval type="int" val="-1" /></sval><sval type="array" size="5"><sval type="int" val="519" /><sval type="int" val="131075" /><sval type="int" val="65536" /><sval type="int" val="131074" /><sval type="int" val="12" /></sval><sval type="array" size="7"><sval type="int" val="104" /><sval type="int" val="-536852982" /><sval type="int" val="1" /><sval type="int" val="131074" /><sval type="int" val="10" /><sval type="int" val="1" /><sval type="int" val="-1" /></sval><sval type="array" size="6"><sval type="int" val="107" /><sval type="int" val="-2147483647" /><sval type="int" val="4" /><sval type="int" val="100" /><sval type="int" val="4" /><sval type="int" val="150" /></sval><sval type="array" size="12"><sval type="int" val="102" /><sval type="string" val="lib.Xai.Nav" /><sval type="int" val="10" /><sval type="int" val="131075" /><sval type="int" val="65536" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="12" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="0" /></sval><sval type="array" size="2"><sval type="int" val="112" /><sval type="int" val="66" /></sval><sval type="array" size="13"><sval type="int" val="104" /><sval type="int" val="-1610594296" /><sval type="int" val="3" /><sval type="int" val="131075" /><sval type="int" val="65547" /><sval type="int" val="131074" /><sval type="int" val="12" /><sval type="int" val="15" /><sval type="int" val="0" /><sval type="int" val="3" /><sval type="int" val="-1" /><sval type="int" val="0" /><sval type="int" val="-2" /></sval><sval type="array" size="12"><sval type="int" val="102" /><sval type="string" val="lib.Xai.trade" /><sval type="int" val="-2147483647" /><sval type="int" val="131075" /><sval type="int" val="65536" /><sval type="int" val="3" /><sval type="int" val="5" /><sval type="string" val="sell" /><sval type="int" val="131074" /><sval type="int" val="8" /><sval type="int" val="131074" /><sval type="int" val="9" /></sval><sval type="array" size="2"><sval type="int" val="112" /><sval type="int" val="20" /></sval><sval type="array" size="5"><sval type="int" val="519" /><sval type="int" val="131075" /><sval type="int" val="65536" /><sval type="int" val="131074" /><sval type="int" val="1" /></sval><sval type="array" size="3"><sval type="int" val="103" /><sval type="int" val="0" /><sval type="int" val="0" /></sval></sval><sval type="array" size="2"><sval type="array" size="2"><sval type="int" val="41" /><sval type="string" val="Target to transfer to" /></sval><sval type="array" size="2"><sval type="int" val="21" /><sval type="string" val="Mining Ship" /></sval></sval><sval type="array" size="44"><sval type="array" size="3"><sval type="int" val="0" /><sval type="int" val="1" /><sval type="string" val="Created by Xai Corporation, 764" /></sval><sval type="array" size="3"><sval type="int" val="0" /><sval type="int" val="1" /><sval type="string" val="Part of Automining v2" /></sval><sval type="array" size="3"><sval type="int" val="0" /><sval type="int" val="1" /><sval type="string" val="" /></sval><sval type="array" size="3"><sval type="int" val="0" /><sval type="int" val="1" /><sval type="string" val="rewrite in progress" /></sval><sval type="array" size="2"><sval type="int" val="0" /><sval type="int" val="2" /></sval><sval type="array" size="2"><sval type="int" val="2" /><sval type="int" val="2" /></sval><sval type="array" size="2"><sval type="int" val="6" /><sval type="int" val="2" /></sval><sval type="array" size="3"><sval type="int" val="6" /><sval type="int" val="1" /><sval type="string" val="Set correct target to transfer" /></sval><sval type="array" size="2"><sval type="int" val="8" /><sval type="int" val="2" /></sval><sval type="array" size="2"><sval type="int" val="19" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="19" /><sval type="int" val="2" /></sval><sval type="array" size="3"><sval type="int" val="19" /><sval type="int" val="1" /><sval type="string" val="Transfer to target destination" /></sval><sval type="array" size="2"><sval type="int" val="24" /><sval type="int" val="2" /></sval><sval type="array" size="2"><sval type="int" val="25" /><sval type="int" val="2" /></sval><sval type="array" size="3"><sval type="int" val="25" /><sval type="int" val="1" /><sval type="string" val=" - Transfer to player station" /></sval><sval type="array" size="2"><sval type="int" val="26" /><sval type="int" val="2" /></sval><sval type="array" size="2"><sval type="int" val="30" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="30" /><sval type="int" val="2" /></sval><sval type="array" size="2"><sval type="int" val="32" /><sval type="int" val="2" /></sval><sval type="array" size="3"><sval type="int" val="32" /><sval type="int" val="1" /><sval type="string" val=" - Transfer to player big ship" /></sval><sval type="array" size="2"><sval type="int" val="35" /><sval type="int" val="2" /></sval><sval type="array" size="2"><sval type="int" val="39" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="41" /><sval type="int" val="2" /></sval><sval type="array" size="2"><sval type="int" val="47" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="47" /><sval type="int" val="2" /></sval><sval type="array" size="2"><sval type="int" val="50" /><sval type="int" val="2" /></sval><sval type="array" size="2"><sval type="int" val="50" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="50" /><sval type="int" val="2" /></sval><sval type="array" size="3"><sval type="int" val="50" /><sval type="int" val="1" /><sval type="string" val=" - Transfer to player TS" /></sval><sval type="array" size="2"><sval type="int" val="54" /><sval type="int" val="2" /></sval><sval type="array" size="2"><sval type="int" val="58" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="58" /><sval type="int" val="2" /></sval><sval type="array" size="2"><sval type="int" val="61" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="61" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="61" /><sval type="int" val="2" /></sval><sval type="array" size="3"><sval type="int" val="61" /><sval type="int" val="1" /><sval type="string" val=" - Sell ore for best price" /></sval><sval type="array" size="2"><sval type="int" val="63" /><sval type="int" val="2" /></sval><sval type="array" size="2"><sval type="int" val="70" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="70" /><sval type="int" val="2" /></sval><sval type="array" size="2"><sval type="int" val="72" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="72" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="72" /><sval type="int" val="2" /></sval><sval type="array" size="2"><sval type="int" val="73" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="73" /><sval type="int" val="2" /></sval></sval><sval type="int" val="0" /></sval>
</codearray>
</script>
